- name: Check if tar is already installed
  yum:
    list: tar
  # If not installed yum_list.results[*].yumstate != installed
  register: yum_list
- name: Install tar
  yum:
    name: tar
  when: yum_list.results | selectattr("yumstate", "match", "installed") | list | length == 0